
package com.vladium.utils.timing;

// ----------------------------------------------------------------------------
/**
 * A package-private implementation of {@link ITimer} based around native
 * <code>getTime</code> method. It will work on any platform for which a JNI
 * implementation of "hrtlib" library is available.<P> 
 * 
 * {@link TimerFactory} acts as the Factory for this class.<P>
 * 
 * MT-safety: an instance of this class is safe to be used within the same
 * thread only.
 * 
 * @author (C) <a href="mailto:vroubtsov@illinoisalumni.org">Vlad Roubtsov</a>, 2002
 */
public class HRTimer {
    // public: ................................................................

	private double start;
	private double stop;
  
  
    private static native double getTime ();
    

    private int m_state; // used to keep track of timer state
    private double m_data; // timing data
        
    private static final String HRTIMER_LIB = "hrtlib";
    
	public HRTimer() {
          System.loadLibrary (HRTIMER_LIB);


	}
	

        public double getMicroseconds() {
                double m = HRTimer.getTime();
                return m*1000; 
        }  
   
    

 

} // end of class
// ----------------------------------------------------------------------------
